PKCS #1 je jeden ze standardů rodiny PKCS, tedy ze standardů pro asymetrickou kryptografii původně vytvořených společností RSA Security. Standardizuje způsoby využívání a implementace algoritmu RSA včetně formátů kódování klíčů pomocí ASN.1 a způsobů vytváření výplně (jako jednu z metod nabízí OAEP).
Bylo vydáno několik verzí tohoto standardu:
verze 1.1–1.3 v roce 1991 (neveřejné) verze 1.4 v červnu 1991 verze 1.5 v listopadu 1993, první zcela veřejná, publikovaná rovněž jako RFC 2313 verze 2.0 v září 1998, publikovaná rovněž jako RFC 2437 verze 2.1 v červnu 2002, publikovaná rovněž jako RFC 3447 verze 2.2 v říjnu 2016, publikováno rovněž jako RFC 8017
Odkazy
Reference
Externí odkazy verze 2.2
Kategorie:Kryptografické standardy Kategorie:Kryptografie s veřejným klíčem